# Generated by Django 4.1.2 on 2022-10-04 10:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('webapp', '0005_usercourses_ratings_favorite_comments'),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_of_teaching', models.CharField(choices=[('privately', 'Лично, частным образом'), ('professionally', 'Лично, профессионально'), ('online', 'Онлайн'), ('other', 'Другое')], default=('privately', 'Лично, частным образом'), max_length=50)),
                ('bio', models.CharField(choices=[('NOT', 'В настоящий момент нет'), ('SMALL', 'У меня маленькая аудитория'), ('BIG', 'У меня достаточная аудитория')], default=('NOT', 'В настоящий момент нет'), max_length=50)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
